<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Matrix3 Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#2623a5189b5ada5e6746752406618615">Bidiagonalize</a>(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#e6c425038bd77d80f1461652ec68b19f">Determinant</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#050ec131b1f7d0fbe11ddf06133478b9">EigenSolveSymmetric</a>(Real afEigenvalue[3], Vector3 akEigenvector[3]) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#5bf17bf2239af2516e359dc6de22bf3d">EPSILON</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#d904362ff107e91ed2881a9802d11979">FromAxes</a>(const Vector3 &amp;xAxis, const Vector3 &amp;yAxis, const Vector3 &amp;zAxis)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#94283f34fa420ee0048bb01d2c4f8c2d">FromAxisAngle</a>(const Vector3 &amp;rkAxis, const Radian &amp;fRadians)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#3f5abdecf648a54b164df112c7037ed7">FromEulerAnglesXYZ</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#209f31aa2e25d9b3d55d64d2d8304382">FromEulerAnglesXZY</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#2e0ccd0f22689072aa4a64c7a441f694">FromEulerAnglesYXZ</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#94b0b7264cc1572fff22f491ac6cc664">FromEulerAnglesYZX</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#c0148ffb86f185d7de044fd83e9647ce">FromEulerAnglesZXY</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#8308f99c3c13e067f016a45f26f15389">FromEulerAnglesZYX</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#6d5df6ca5b1fb2eb3de77124da0a390d">GetColumn</a>(size_t iCol) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#91fba8359a29a0bad16c9f73e436409f">GolubKahanStep</a>(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#dcb2945d4f9b8995236be5a27dcfe343">IDENTITY</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#068ef05b6bbed7ac88d22fe7cc221a7e">Inverse</a>(Matrix3 &amp;rkInverse, Real fTolerance=1e-06) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#d562bfb225028627c3ac7812056d5b45">Inverse</a>(Real fTolerance=1e-06) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#fa4cf13c54bdcc2df5fa761e01ad180d">m</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#0ecaa32a22cc18ca76dc74377005e7e1">Matrix3</a>()</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#705a22877d9f0a33724887e577486b41">Matrix3</a>(const Real arr[3][3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#04f1bcba696c41cae099b5229789772b">Matrix3</a>(const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#3653fb657419f82d71f7ae06df0dd9f5">Matrix3</a>(Real fEntry00, Real fEntry01, Real fEntry02, Real fEntry10, Real fEntry11, Real fEntry12, Real fEntry20, Real fEntry21, Real fEntry22)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ed2829d86d2df8f9333d4c0087455880">Matrix4</a> class</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#275b664601f3baaec4e13f2141a2cba4">MaxCubicRoot</a>(Real afCoeff[3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#70f841cde6ab4bf97c84086fc7e03466">ms_fSvdEpsilon</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#26978929c3b875e8520331303bb97745">ms_iSvdMaxIterations</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#49fb0638e083434ba73c10ea5d0f41e7">operator *</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#12df713351b0a7a3f336b32fba82effb">operator *</a>(const Vector3 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#54684a2bffe4d97e4d6006bd215aa1d3">operator *</a>(const Vector3 &amp;rkVector, const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#b96931d5ed102dc2649ff632fceb18b8">operator *</a>(Real fScalar) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ed2841ae17a0841eb6b53844654e2d46">operator *</a>(Real fScalar, const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#c28de07a8eeb9257d9f6a85c8bf9a0df">operator!=</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#6b41bd7f552290c980690f69e4f54004">operator+</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#c0c776e7ee4604fd58715cf1edd62de7">operator-</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#59733eb23090e235cad6451e1636e8fb">operator-</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#f1d37de5c682f78870aae007ee71a360">operator=</a>(const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#14f0de269999f5e58d7ec11f09e82fff">operator==</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#d5ae794f77955d57e92f0457bcdf0d0b">operator[]</a>(size_t iRow) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#dd64f270c75286c4cafa3b242778573f">Orthonormalize</a>()</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#b86645418b9db322c77e911e1b95406e">QDUDecomposition</a>(Matrix3 &amp;rkQ, Vector3 &amp;rkD, Vector3 &amp;rkU) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#970bb631fd5e6a6b0518ec160a3bfebd">QLAlgorithm</a>(Real afDiag[3], Real afSubDiag[3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#b5f04bc27bc68152b92123ac2d14afd5">SetColumn</a>(size_t iCol, const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#1efb2981c1a759e607e1431321d95524">SingularValueComposition</a>(const Matrix3 &amp;rkL, const Vector3 &amp;rkS, const Matrix3 &amp;rkR)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#22254ba3dcecdad3907deb7d8b185419">SingularValueDecomposition</a>(Matrix3 &amp;rkL, Vector3 &amp;rkS, Matrix3 &amp;rkR) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#c46c5191ed2e90c943ad626764caadeb">SpectralNorm</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#f1d217c48e8894227fa2cf2a7952cccc">TensorProduct</a>(const Vector3 &amp;rkU, const Vector3 &amp;rkV, Matrix3 &amp;rkProduct)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#c5338e4c09748a969019d522945343ad">ToAxisAngle</a>(Vector3 &amp;rkAxis, Radian &amp;rfAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#56bb39e8e29028990f381b2238e736a4">ToAxisAngle</a>(Vector3 &amp;rkAxis, Degree &amp;rfAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#2a181c876993cf552fb771e3ff0bc4d3">ToEulerAnglesXYZ</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#266398dd88459e4ab8028f20e5f1baa2">ToEulerAnglesXZY</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ffba36508ff21d216168aaf181662a0b">ToEulerAnglesYXZ</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#be2f46f171e6e470298a39b0b1da9067">ToEulerAnglesYZX</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ca3ad54e245e5db1829cfdeded15d548">ToEulerAnglesZXY</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#3966a3dc328db1d6f67bfc9122a9e81c">ToEulerAnglesZYX</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#4ccc246eae557ee30ec285fe2cc99f54">Transpose</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ba77d4cfb88b20309871d112729c03e9">Tridiagonal</a>(Real afDiag[3], Real afSubDiag[3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#4561d62d4d2c088ce2a3b6c3ec3d09af">ZERO</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:33 2008
</p>
</body>
</html>
